{% extends 'base.html' %}

{% block content %}
<main>
    <div>
        <h1>My Projects</h1>
        {% if not list_projects %}
        <p> You are not assigned to any projects</p>
        {% else %}
        <a href="{% url 'create_project' %}">Create a new project</a>
        <table>
            <thead>
                <tr>
                    <th>Name</th>
                    <th>Number of Tasks</th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    {% for projects in list_projects %}
                    <td><a href="{% url 'show_project' list_projects.id %}">{{ list_projects.name }}</a></td>
                    <td>{{ project.tasks.all|length }}</td>
                </tr>
                {% endfor %}
            </tbody>
            </thead>
        </table>
        {% endif %}
    </div>
</main>
{% endblock content %}
